package models

import "fmt"

// Represents the configuration of a pomodoro
type PomodoroConfig struct {
	Focus      int `json:"focus"`      // Length of focus sessions in seconds
	ShortBreak int `json:"shortBreak"` // Length of short break in seconds
	LongBreak  int `json:"longBreak"`  // Length of long break in seconds
	Sessions   int `json:"sessions"`   // Number of total sessions
}

// Stringer interface for the PomodocoConfig model
func (c PomodoroConfig) String() string {
	return fmt.Sprintf("{focus: %d, short: %d, long: %d, sessions: %d}", c.Focus, c.ShortBreak, c.LongBreak, c.Sessions)
}

// Represents the server configuration
type ServerConfig struct {
	ListenAddress string `json:"listenAddress"` // Server listen address
	ListenPort    int    `json:"listenPort"`    // Server listen port
}
